Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.lemma.pipeline.javadoc
Class XHTMLTemplateJavadocPipeline

    java.lang.Object
      org.teleal.lemma.pipeline.Pipeline<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>
          org.teleal.lemma.pipeline.javadoc.XHTMLTemplateJavadocPipeline

    public class XHTMLTemplateJavadocPipeline

extends Pipeline<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>

Reads an input XHTML document, processes it and returns an XHTML output document.

Call the `main(String[])` method with your `XHTMLTemplateJavadocPipeline.Options` to start Lemma.

The processors of this pipeline, in order, are:

1. `JavadocCitationProcessor`
2. `XRefProcessor`
3. `TocProcessor`

Author:
  Christian Bauer

Nested Class Summary
`static class` | `XHTMLTemplateJavadocPipeline.Options` Options which are specific to this bootstrap class.
`static class` | `XHTMLTemplateJavadocPipeline.SharedOptions` Options which are shared between this bootstrap class and the Maven plugin.

Constructor Summary
`XHTMLTemplateJavadocPipeline(File baseDirectory, Collection<String> packageNames)`
`XHTMLTemplateJavadocPipeline(com.sun.javadoc.RootDoc rootDoc, File baseDirectory)`
`XHTMLTemplateJavadocPipeline(com.sun.javadoc.RootDoc rootDoc, File baseDirectory, boolean normalizeOutput)`
`XHTMLTemplateJavadocPipeline(XHTMLTemplateJavadocPipeline.SharedOptions options)`

Method Summary
`org.teleal.common.xhtml.XHTML` | `execute(File xhtmlTemplateFile)`
`org.teleal.common.xhtml.XHTML` | `execute(org.teleal.common.xhtml.XHTML input)`
`File` | `getBaseDirectory()`
`org.teleal.common.xhtml.XHTMLParser` | `getParser()`
`Processor<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>[]` | `getProcessors()`
`com.sun.javadoc.RootDoc` | `getRootDoc()`
`XPath` | `getXPath()`
`boolean` | `isNormalizeOutput()`
`static void` | `main(String[] args)`
`protected void` | `resetContext()`

Methods inherited from class org.teleal.lemma.pipeline.Pipeline
`getContext, prepareOutputFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLTemplateJavadocPipeline

    public XHTMLTemplateJavadocPipeline(XHTMLTemplateJavadocPipeline.SharedOptions options)

### XHTMLTemplateJavadocPipeline

    public XHTMLTemplateJavadocPipeline(File baseDirectory,
                                        Collection<String> packageNames)

### XHTMLTemplateJavadocPipeline

    public XHTMLTemplateJavadocPipeline(com.sun.javadoc.RootDoc rootDoc,
                                        File baseDirectory)

### XHTMLTemplateJavadocPipeline

    public XHTMLTemplateJavadocPipeline(com.sun.javadoc.RootDoc rootDoc,
                                        File baseDirectory,
                                        boolean normalizeOutput)

Method Detail

### getParser

    public org.teleal.common.xhtml.XHTMLParser getParser()

### getXPath

    public XPath getXPath()

### getRootDoc

    public com.sun.javadoc.RootDoc getRootDoc()

### getBaseDirectory

    public File getBaseDirectory()

### isNormalizeOutput

    public boolean isNormalizeOutput()

### execute

    public org.teleal.common.xhtml.XHTML execute(File xhtmlTemplateFile)

### resetContext

    protected void resetContext()

  Overrides:
    `resetContext` in class `Pipeline<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>`

### execute

    public org.teleal.common.xhtml.XHTML execute(org.teleal.common.xhtml.XHTML input)

  Overrides:
    `execute` in class `Pipeline<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>`

### getProcessors

    public Processor<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>[] getProcessors()

  Specified by:
    `getProcessors` in class `Pipeline<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.